<?
    include './system/common.php';
 include './system/functions.php';
      include './system/user.php';
if(!$user OR !empty($user['code'])) {
	header('location: /');
	exit;
}
$title="Тайник";
include './system/h.php';  
if (isset($_SESSION['msg'])){
echo "<div class='title'><center>$_SESSION[msg]</center></div><div class='line'/></div>";
$_SESSION['msg']=NULL;
}
$sack=mysql_fetch_array(mysql_query("SELECT * FROM `sack` WHERE `user`='".$user['id']."'"));

if(!$sack){
	mysql_query("INSERT INTO `sack` SET `user`='".$user['id']."'");
	header("location:?");
	exit;
}


$cenakey=100;
if(isset($_GET['buyKey'])){
###Цена за ключи

if($user[g]<$cenakey){
$_SESSION['msg']="Мало золота! Надо $cenakey";
header('location:?');
exit();
}
mysql_query("UPDATE `users` SET `key`='".($user[key]+1)."',`g`='".($user[g]-$cenakey)."' WHERE `id`='$user[id]'");
header('location:?');
}
###1 sunduk
if($_GET['open']==1){
if($user[key]<1){
$_SESSION['msg']="Купите ключи!";
header('location:?');
exit();
}
$nominal=rand(1,3);
if($nominal==1){
//Сколько выпадет золота
$sum=rand(1,300);
$img="<img src='/images/icon/gold.png'/>";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`g`='".($user[g]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=rand(1750,1000);
$img="<img src='/images/icon/silver.png'/>";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`silver`='".($user[silver]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
	//СКОЛЬКО ВЫПАДЕТ РЕСОВ
	$sum=rand(1,10);
	$recourse=rand(1,9);
	mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."' WHERE `id`='$user[id]'");
	mysql_query("UPDATE `sack` SET `".$recourse."`='".($sack[$recourse]+$sum)."'  WHERE `user`='".$user['id']."'");
	//$recourseArrayName = array("Алмаз","Корунд","Обсидиан","Графит","Оникс","Амброзия","Мята","Аир","Рябина");
	if($recourse=='1'){
		$name='Алмаз';
		$img="<img src='/images/icon/res/1.png'/>";
	}elseif ($recourse=='2') {
		$name='Корунд';
		$img="<img src='/images/icon/res/2.png'/>";
	}elseif ($recourse=='3') {
		$name='Обсидиан';
		$img="<img src='/images/icon/res/3.png'/>";
	}elseif ($recourse=='4') {
		$name='Графит';
		$img="<img src='/images/icon/res/4.png'/>";
	}elseif ($recourse=='5') {
		$name='Оникс';
		$img="<img src='/images/icon/res/5.png'/>";
	}elseif ($recourse=='6') {
		$name='Амброзия';
		$img="<img src='/images/icon/res/6.png'/>";
	}elseif ($recourse=='7') {
		$name='Мята';
		$img="<img src='/images/icon/res/7.png'/>";
	}elseif ($recourse=='8') {
		$name='Аир';
		$img="<img src='/images/icon/res/8.png'/>";
	}elseif ($recourse=='9') {
		$name='Рябина';
		$img="<img src='/images/icon/res/9.png'/>";
	}
	

}

$_SESSION['msg']="Открыв сундук вы обнаружили $sum $img $name";
header('location:?');
exit;
}
#/222222222222222222222
if($_GET['open']==2){
if($user[key]<1){
$_SESSION['msg']="Купите ключи!";
header('location:?');
exit();
}
$nominal=rand(1,3);
if($nominal==1){
//Сколько выпадет золота
$sum=rand(1,300);
$img="<img src='/images/icon/gold.png'/>";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`g`='".($user[g]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=rand(1750,1000);
$img="<img src='/images/icon/silver.png'/>";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`silver`='".($user[silver]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
	//СКОЛЬКО ВЫПАДЕТ РЕСОВ
	$sum=rand(1,10);
	$recourse=rand(1,9);
	mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."' WHERE `id`='$user[id]'");
	mysql_query("UPDATE `sack` SET `".$recourse."`='".($sack[$recourse]+$sum)."'  WHERE `user`='".$user['id']."'");
	//$recourseArrayName = array("Алмаз","Корунд","Обсидиан","Графит","Оникс","Амброзия","Мята","Аир","Рябина");
	if($recourse=='1'){
		$name='Алмаз';
		$img="<img src='/images/icon/res/1.png'/>";
	}elseif ($recourse=='2') {
		$name='Корунд';
		$img="<img src='/images/icon/res/2.png'/>";
	}elseif ($recourse=='3') {
		$name='Обсидиан';
		$img="<img src='/images/icon/res/3.png'/>";
	}elseif ($recourse=='4') {
		$name='Графит';
		$img="<img src='/images/icon/res/4.png'/>";
	}elseif ($recourse=='5') {
		$name='Оникс';
		$img="<img src='/images/icon/res/5.png'/>";
	}elseif ($recourse=='6') {
		$name='Амброзия';
		$img="<img src='/images/icon/res/6.png'/>";
	}elseif ($recourse=='7') {
		$name='Мята';
		$img="<img src='/images/icon/res/7.png'/>";
	}elseif ($recourse=='8') {
		$name='Аир';
		$img="<img src='/images/icon/res/8.png'/>";
	}elseif ($recourse=='9') {
		$name='Рябина';
		$img="<img src='/images/icon/res/9.png'/>";
	}
	

}

$_SESSION['msg']="Открыв сундук вы обнаружили $sum $img $name";
header('location:?');
exit;
}
##3333333333333333333333333333333333333333
if($_GET['open']==3){
if($user[key]<1){
$_SESSION['msg']="Купите ключи!";
header('location:?');
exit();
}
$nominal=rand(1,3);
if($nominal==1){
//Сколько выпадет золота
$sum=rand(1,300);
$img="<img src='/images/icon/gold.png'/>";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`g`='".($user[g]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=rand(1750,1000);
$img="<img src='/images/icon/silver.png'/>";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`silver`='".($user[silver]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
	//СКОЛЬКО ВЫПАДЕТ РЕСОВ
	$sum=rand(1,10);
	$recourse=rand(1,9);
	mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."' WHERE `id`='$user[id]'");
	mysql_query("UPDATE `sack` SET `".$recourse."`='".($sack[$recourse]+$sum)."'  WHERE `user`='".$user['id']."'");
	//$recourseArrayName = array("Алмаз","Корунд","Обсидиан","Графит","Оникс","Амброзия","Мята","Аир","Рябина");
	if($recourse=='1'){
		$name='Алмаз';
		$img="<img src='/images/icon/res/1.png'/>";
	}elseif ($recourse=='2') {
		$name='Корунд';
		$img="<img src='/images/icon/res/2.png'/>";
	}elseif ($recourse=='3') {
		$name='Обсидиан';
		$img="<img src='/images/icon/res/3.png'/>";
	}elseif ($recourse=='4') {
		$name='Графит';
		$img="<img src='/images/icon/res/4.png'/>";
	}elseif ($recourse=='5') {
		$name='Оникс';
		$img="<img src='/images/icon/res/5.png'/>";
	}elseif ($recourse=='6') {
		$name='Амброзия';
		$img="<img src='/images/icon/res/6.png'/>";
	}elseif ($recourse=='7') {
		$name='Мята';
		$img="<img src='/images/icon/res/7.png'/>";
	}elseif ($recourse=='8') {
		$name='Аир';
		$img="<img src='/images/icon/res/8.png'/>";
	}elseif ($recourse=='9') {
		$name='Рябина';
		$img="<img src='/images/icon/res/9.png'/>";
	}
	

}

$_SESSION['msg']="Открыв сундук вы обнаружили $sum $img $name";
header('location:?');
exit;
}
##4444444444444444444444444444444444444444444
if($_GET['open']==4){
if($user[key]<1){
$_SESSION['msg']="Купите ключи!";
header('location:?');
exit();
}
$nominal=rand(1,3);
if($nominal==1){
//Сколько выпадет золота
$sum=rand(1,300);
$img="<img src='/images/icon/gold.png'/>";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`g`='".($user[g]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=rand(1750,1000);
$img="<img src='/images/icon/silver.png'/>";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`silver`='".($user[silver]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
	//СКОЛЬКО ВЫПАДЕТ РЕСОВ
	$sum=rand(1,10);
	$recourse=rand(1,9);
	mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."' WHERE `id`='$user[id]'");
	mysql_query("UPDATE `sack` SET `".$recourse."`='".($sack[$recourse]+$sum)."'  WHERE `user`='".$user['id']."'");
	//$recourseArrayName = array("Алмаз","Корунд","Обсидиан","Графит","Оникс","Амброзия","Мята","Аир","Рябина");
	if($recourse=='1'){
		$name='Алмаз';
		$img="<img src='/images/icon/res/1.png'/>";
	}elseif ($recourse=='2') {
		$name='Корунд';
		$img="<img src='/images/icon/res/2.png'/>";
	}elseif ($recourse=='3') {
		$name='Обсидиан';
		$img="<img src='/images/icon/res/3.png'/>";
	}elseif ($recourse=='4') {
		$name='Графит';
		$img="<img src='/images/icon/res/4.png'/>";
	}elseif ($recourse=='5') {
		$name='Оникс';
		$img="<img src='/images/icon/res/5.png'/>";
	}elseif ($recourse=='6') {
		$name='Амброзия';
		$img="<img src='/images/icon/res/6.png'/>";
	}elseif ($recourse=='7') {
		$name='Мята';
		$img="<img src='/images/icon/res/7.png'/>";
	}elseif ($recourse=='8') {
		$name='Аир';
		$img="<img src='/images/icon/res/8.png'/>";
	}elseif ($recourse=='9') {
		$name='Рябина';
		$img="<img src='/images/icon/res/9.png'/>";
	}
	

}

$_SESSION['msg']="Открыв сундук вы обнаружили $sum $img $name";
header('location:?');
exit;
}
#5555555555555555555555555555
if($_GET['open']==5){
if($user[key]<1){
$_SESSION['msg']="Купите ключи!";
header('location:?');
exit();
}
$nominal=rand(1,3);
if($nominal==1){
//Сколько выпадет золота
$sum=rand(1,300);
$img="<img src='/images/icon/gold.png'/>";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`g`='".($user[g]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=rand(1750,1000);
$img="<img src='/images/icon/silver.png'/>";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."',`silver`='".($user[silver]+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
	//СКОЛЬКО ВЫПАДЕТ РЕСОВ
	$sum=rand(1,10);
	$recourse=rand(1,9);
	mysql_query("UPDATE `users` SET `key`='".($user[key]-1)."' WHERE `id`='$user[id]'");
	mysql_query("UPDATE `sack` SET `".$recourse."`='".($sack[$recourse]+$sum)."'  WHERE `user`='".$user['id']."'");
	//$recourseArrayName = array("Алмаз","Корунд","Обсидиан","Графит","Оникс","Амброзия","Мята","Аир","Рябина");
	if($recourse=='1'){
		$name='Алмаз';
		$img="<img src='/images/icon/res/1.png'/>";
	}elseif ($recourse=='2') {
		$name='Корунд';
		$img="<img src='/images/icon/res/2.png'/>";
	}elseif ($recourse=='3') {
		$name='Обсидиан';
		$img="<img src='/images/icon/res/3.png'/>";
	}elseif ($recourse=='4') {
		$name='Графит';
		$img="<img src='/images/icon/res/4.png'/>";
	}elseif ($recourse=='5') {
		$name='Оникс';
		$img="<img src='/images/icon/res/5.png'/>";
	}elseif ($recourse=='6') {
		$name='Амброзия';
		$img="<img src='/images/icon/res/6.png'/>";
	}elseif ($recourse=='7') {
		$name='Мята';
		$img="<img src='/images/icon/res/7.png'/>";
	}elseif ($recourse=='8') {
		$name='Аир';
		$img="<img src='/images/icon/res/8.png'/>";
	}elseif ($recourse=='9') {
		$name='Рябина';
		$img="<img src='/images/icon/res/9.png'/>";
	}
	

}

$_SESSION['msg']="Открыв сундук вы обнаружили $sum $img $name";
header('location:?');
exit;
}

echo "
<div class='content'><center><img src='/images/town/stashroom.png'/><br/>
У вас: $user[key]<img src='/images/key.png'/> ключей.<br/>";
echo '
<a class="button" href="?buyKey">Купить ключ за <img src="/images/icon/gold.png" alt="">';
echo "$cenakey";
echo '
</a>
</center></div>';
echo "<div class='line'></div>";
echo "<div class='content'><center><font color='blue'><center>Выберите сундук</font></center></div>";
echo '
<div class="content"><center>
<a href="?open=1"><img src="/images/0.png" alt="[-o-]"></a>
<a href="?open=2"><img src="/images/0.png" alt="[-o-]"></a>
<a href="?open=3"><img src="/images/0.png" alt="[-o-]"></a>
<a href="?open=4"><img src="/images/0.png" alt="[-o-]"></a>
<a href="?open=5"><img src="/images/0.png" alt="[-o-]"></a>
<br></center></div><div class"line"></div>
';

echo '<div class"line"></div>
<div class="content"/>
<li style="list-style:none;">Ключи достать можно на арене</li>
<li style="list-style:none;">В сундуках можно получить золото, серебро и разные ресурсы.</li>';

echo '
</div>';










include './system/f.php';  
?>